List Stats for an Organization's Issues
Return counts, first and last seen, and stats for the requested issues. Use it to
fill in stats for an issue list fetched with collapse=stats. The query filters
the filtered counts.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
groups(array(integer))REQUIREDThe IDs of the issues to return stats for, up to 100.
environment(array(string))The name of environments to filter by.
project(array(undefined))The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects.
-1is also accepted to include all accessible projects. For example, the following are valid parameters:/?project=1234&project=56789/?project=android&project=javascript-react/?project=-1
statsPeriod(string)The period of time for the query, will override the start & end parameters, a number followed by one of:
dfor dayshfor hoursmfor minutessfor secondswfor weeks
For example,
24h, to mean query data starting from 24 hours ago to now.statsPeriodStart(string)How long ago the query period starts, in the same format as
statsPeriod. Must be sent withstatsPeriodEnd, and is ignored whenstatsPeriodis sent.statsPeriodEnd(string)How long ago the query period ends, in the same format as
statsPeriod. Must be sent withstatsPeriodStart, and is ignored whenstatsPeriodis sent.start(string)The start of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.end(string)The end of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.groupStatsPeriod(string)- choices:
- 14d
- 24h
- auto
The timeline on which stats for the groups should be presented.
query(string)An optional search query for filtering issues. A default query will apply if no query is set. For all results use this parameter with an empty string.
expand(array(string))- choices:
- inbox
- integrationIssues
- latestEventHasAttachments
- owners
- sentryAppIssues
- sessions
Additional data to include in the response.
collapse(array(string))- choices:
- base
- filtered
- lifetime
- stats
- unhandled
Fields to remove from the response. Defaults to
base, which leaves the ID, counts, first and last seen, the unhandled flag and stats. Passing any value replaces the default.
Scopes
<auth_token> requires one of the following scopes:event:adminevent:readevent:write
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues-stats/ \ -H 'Authorization: Bearer <auth_token>'
Copied.